Memasang PHP 5.2 di BlankOn Linux 6 Ombilin

BlankOn Linux 6.0 Ombilin
BlankOn Linux 6.0 Ombilin

Pada lumbung paket Ombilin sebenernya sudah ada paket php, namun versinya adalah php5.3.  Karena ada beberapa aplikasi yang dibuat tidak kompatibel dengan php 5.3 dan diharuskan turun derajat ke php 5.2 maka kita perlu memasang dan memaksa alat pemasang apt agar memasang php 5.2.

caranya cukup mudah yaitu seperti biasanya memasang lumbung paket di /etc/apt/sources.list dari deb http://ppa.launchpad.net/txwikinger/php5.2/ubuntu lucid main

kemudian tambahkan preferensi pada /etc/apt/preferences

Package: libapache2-mod-php5
Pin: version 5.2.10*
Pin-Priority: 991
Package: libapache2-mod-php5filter
Pin: version 5.2.10*
Pin-Priority: 991
Package: php-pear
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-cgi
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-cli
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-common
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-curl
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-dbg
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-dev
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-gd
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-gmp
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-ldap
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-mhash
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-mysql
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-odbc
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-pgsql
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-pspell
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-recode
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-snmp
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-sqlite
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-sybase
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-tidy
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-xmlrpc
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-xsl
Pin: version 5.2.10*
Pin-Priority: 991
Package: php5-mcrypt
Pin: version 5.2.6*
Pin-Priority: 991
Package: php5-imap
Pin: version 5.2.6*
Pin-Priority: 991

Package: libapache2-mod-php5Pin: version 5.2.10*Pin-Priority: 991
Package: libapache2-mod-php5filterPin: version 5.2.10*Pin-Priority: 991
Package: php-pearPin: version 5.2.10*Pin-Priority: 991
Package: php5Pin: version 5.2.10*Pin-Priority: 991
Package: php5-cgiPin: version 5.2.10*Pin-Priority: 991
Package: php5-cliPin: version 5.2.10*Pin-Priority: 991
Package: php5-commonPin: version 5.2.10*Pin-Priority: 991
Package: php5-curlPin: version 5.2.10*Pin-Priority: 991
Package: php5-dbgPin: version 5.2.10*Pin-Priority: 991
Package: php5-devPin: version 5.2.10*Pin-Priority: 991
Package: php5-gdPin: version 5.2.10*Pin-Priority: 991
Package: php5-gmpPin: version 5.2.10*Pin-Priority: 991
Package: php5-ldapPin: version 5.2.10*Pin-Priority: 991
Package: php5-mhashPin: version 5.2.10*Pin-Priority: 991
Package: php5-mysqlPin: version 5.2.10*Pin-Priority: 991
Package: php5-odbcPin: version 5.2.10*Pin-Priority: 991
Package: php5-pgsqlPin: version 5.2.10*Pin-Priority: 991
Package: php5-pspellPin: version 5.2.10*Pin-Priority: 991
Package: php5-recodePin: version 5.2.10*Pin-Priority: 991
Package: php5-snmpPin: version 5.2.10*Pin-Priority: 991
Package: php5-sqlitePin: version 5.2.10*Pin-Priority: 991
Package: php5-sybasePin: version 5.2.10*Pin-Priority: 991
Package: php5-tidyPin: version 5.2.10*Pin-Priority: 991
Package: php5-xmlrpcPin: version 5.2.10*Pin-Priority: 991
Package: php5-xslPin: version 5.2.10*Pin-Priority: 991
Package: php5-mcryptPin: version 5.2.6*Pin-Priority: 991
Package: php5-imapPin: version 5.2.6*Pin-Priority: 991

setelah itu

apt-get update

apt-get install php5

Selamat mencoba

0.00 avg. rating (0% score) - 0 votes